'use strict';

var index = require('./index-p7cvUYAE.js');
var styledHost = require('./styled-host-Ch0-dxF-.js');
var skeleton = require('./skeleton-DvRCiQlA.js');
require('./parts-BXshb_S-.js');

const JustifiSkeleton = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h(styledHost.StyledHost, { key: '3494cfb61fe0284861e3e43edf608cca947c407f' }, index.h(skeleton.Skeleton, { key: 'ee25cf4475e11ff816bf3a21f681b96b3db1995a', component: this.component, height: this.height, width: this.width, className: this.class, styles: this.customStyle })));
    }
};

exports.justifi_skeleton = JustifiSkeleton;
